#pragma once

#include "CoreMinimal.h"
#include "AISkill_InteractionTarget.h"
#include "GameplayTagContainer.h"
#include "AISkill_InteractionTarget_LungeAttack.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class DBDBOTS_API UAISkill_InteractionTarget_LungeAttack : public UAISkill_InteractionTarget
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float MaxRangeModifierWhenNavigationBlocked;

	UPROPERTY(EditAnywhere)
	TArray<FGameplayTag> ExceptionStateTags;

public:
	UAISkill_InteractionTarget_LungeAttack();
};

FORCEINLINE uint32 GetTypeHash(const UAISkill_InteractionTarget_LungeAttack) { return 0; }
